r1926 - in packages/libdbd-sqlite2-perl/trunk/debian: . patches

Niko Tyni ntyni-guest at costa.debian.org
Sun Jan 15 18:18:57 UTC 2006


Author: ntyni-guest
Date: 2006-01-15 18:18:56 +0000 (Sun, 15 Jan 2006)
New Revision: 1926

Added:
   packages/libdbd-sqlite2-perl/trunk/debian/patches/00list
   packages/libdbd-sqlite2-perl/trunk/debian/patches/10fetchrow.dpatch
Modified:
   packages/libdbd-sqlite2-perl/trunk/debian/changelog
Log:
Fix #317453: libdbd-sqlite2-perl seg faults Perl interpreter


Modified: packages/libdbd-sqlite2-perl/trunk/debian/changelog
===================================================================
--- packages/libdbd-sqlite2-perl/trunk/debian/changelog	2006-01-15 17:55:09 UTC (rev 1925)
+++ packages/libdbd-sqlite2-perl/trunk/debian/changelog	2006-01-15 18:18:56 UTC (rev 1926)
@@ -2,8 +2,11 @@
 
   * Use dpatch for managing patches.
   * Add myself to Uploaders.
+  * debian/patches/10fetchrow:
+    + Fix segmentation fault when fetchrow() is called again after 
+      it has returned an empty list once. (Closes: #317453)
 
- -- Niko Tyni <ntyni at iki.fi>  Sun, 15 Jan 2006 19:53:37 +0200
+ -- Niko Tyni <ntyni at iki.fi>  Sun, 15 Jan 2006 19:57:12 +0200
 
 libdbd-sqlite2-perl (2:0.33-5) unstable; urgency=low
 

Added: packages/libdbd-sqlite2-perl/trunk/debian/patches/00list
===================================================================
--- packages/libdbd-sqlite2-perl/trunk/debian/patches/00list	2006-01-15 17:55:09 UTC (rev 1925)
+++ packages/libdbd-sqlite2-perl/trunk/debian/patches/00list	2006-01-15 18:18:56 UTC (rev 1926)
@@ -0,0 +1 @@
+10fetchrow.dpatch

Added: packages/libdbd-sqlite2-perl/trunk/debian/patches/10fetchrow.dpatch
===================================================================
--- packages/libdbd-sqlite2-perl/trunk/debian/patches/10fetchrow.dpatch	2006-01-15 17:55:09 UTC (rev 1925)
+++ packages/libdbd-sqlite2-perl/trunk/debian/patches/10fetchrow.dpatch	2006-01-15 18:18:56 UTC (rev 1926)
@@ -0,0 +1,25 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 10fetchrow.dpatch by Niko Tyni <ntyni at iki.fi>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fix segfault when fetchrow() is called again after it has
+## DP: returned an empty list once. (#317453)
+## DP: If there is a reason upstream has commented out the check
+## DP: for an active handle, he's not telling it. (CPAN #16451)
+
+ at DPATCH@
+diff -urNad trunk~/dbdimp.c trunk/dbdimp.c
+--- trunk~/dbdimp.c	2006-01-15 19:49:01.000000000 +0200
++++ trunk/dbdimp.c	2006-01-15 19:55:57.964993110 +0200
+@@ -473,11 +473,9 @@
+     /* warn("current_entry == %d\nnumFields == %d\nnrow == %d",
+         current_entry, numFields, imp_sth->nrow); */
+ 
+-    /*
+     if (!DBIc_ACTIVE(imp_sth)) {
+         return Nullav;
+     }
+-    */
+     
+     if ((imp_sth->retval == SQLITE_DONE) || (imp_sth->retval == SQLITE_ERROR)) {
+         sqlite2_st_finish(sth, imp_sth);


Property changes on: packages/libdbd-sqlite2-perl/trunk/debian/patches/10fetchrow.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-perl-cvs-commits mailing list